【活用ガイド】

[English]

JVNDB-2013-000080

PHP OpenID Library における XML 外部実体参照に関する脆弱性

概要

PHP OpenID Library には、XML 外部実体参照に関する脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者:海老原 昂輔 氏、三井物産セキュアディレクション 寺田 健 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.4 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): 部分的

影響を受けるシステム


JanRain
  • PHP OpenID バージョン 2.2.2 およびそれ以前

想定される影響

細工された XRDS データを処理した際に、サーバ上の情報が漏えいする、またはサーバのリソースが過度に消費されるなどの可能性があります。
対策

[パッチを適用する]
リポジトリ上のソースコードは修正されています。開発者のコミット内容をもとに修正を行ってください。
ベンダ情報

JanRain
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2013-4701
参考情報

  1. JVN : JVN#24713981
  2. National Vulnerability Database (NVD) : CVE-2013-4701
更新履歴

[2013年08月21日]
  掲載
[2013年08月23日]
  参考情報:National Vulnerability Database (NVD) (CVE-2013-4701) を追加